#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: dbus
version: 1.0.1
id: dbus-1.0.1-G5xAAcGGILiGJp7kdXjsp3
key: dbus-1.0.1-G5xAAcGGILiGJp7kdXjsp3
license: Apache-2.0
maintainer: Andrey Sverdlichenko <blaze@ruddy.ru>
author: John Millikin <john@john-millikin.com>
stability: experimental
homepage: https://github.com/rblaze/haskell-dbus#readme
synopsis: A client library for the D-Bus IPC system.
description:
    D-Bus is a simple, message-based protocol for inter-process
    communication, which allows applications to interact with other parts of
    the machine and the user'\''s session using remote procedure calls.
    .
    D-Bus is a essential part of the modern Linux desktop, where it replaces
    earlier protocols such as CORBA and DCOP.
    .
    This library is an implementation of the D-Bus protocol in Haskell. It
    can be used to add D-Bus support to Haskell applications, without the
    awkward interfaces common to foreign bindings.
    .
    Example: connect to the session bus, and get a list of active names.
    .
    @
    &#x7b;-\# LANGUAGE OverloadedStrings \#-&#x7d;
    .
    import Data.List (sort)
    import DBus
    import DBus.Client
    .
    main = do
    &#x20;   client <- connectSession
    &#x20;   //
    &#x20;   \-- Request a list of connected clients from the bus
    &#x20;   reply <- call_ client (methodCall \"\/org\/freedesktop\/DBus\" \"org.freedesktop.DBus\" \"ListNames\")
    &#x20;       &#x7b; methodCallDestination = Just \"org.freedesktop.DBus\"
    &#x20;       &#x7d;
    &#x20;   //
    &#x20;   \-- org.freedesktop.DBus.ListNames() returns a single value, which is
    &#x20;   \-- a list of names (here represented as [String])
    &#x20;   let Just names = fromVariant (methodReturnBody reply !! 0)
    &#x20;   //
    &#x20;   \-- Print each name on a line, sorted so reserved names are below
    &#x20;   \-- temporary names.
    &#x20;   mapM_ putStrLn (sort names)
    @
    .
    >$ ghc --make list-names.hs
    >$ ./list-names
    >:1.0
    >:1.1
    >:1.10
    >:1.106
    >:1.109
    >:1.110
    >ca.desrt.dconf
    >org.freedesktop.DBus
    >org.freedesktop.Notifications
    >org.freedesktop.secrets
    >org.gnome.ScreenSaver
category: Network, Desktop
abi: 2474b1865bb5104b47b12abd2e49790b
exposed: True
exposed-modules:
    DBus DBus.Client DBus.Generation DBus.Internal.Address
    DBus.Internal.Message DBus.Internal.Types DBus.Internal.Wire
    DBus.Introspection DBus.Socket DBus.TH DBus.Transport
import-dirs: /usr/lib/ghc-8.4.2/site-local/dbus-1.0.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/dbus-1.0.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/dbus-1.0.1
hs-libraries: HSdbus-1.0.1-G5xAAcGGILiGJp7kdXjsp3
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    cereal-0.5.5.0-GXs0HkZKyWNA7Krg63fmZj containers-0.5.11.0
    deepseq-1.4.3.0 filepath-1.4.2 lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR
    libxml-sax-0.7.5-GkUm3a8rMd5IxolLzHxtC3
    network-2.6.3.5-KclFamJR02kL7LGCwfGqog parsec-3.1.13.0
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV
    split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6 template-haskell-2.13.0.0
    text-1.2.3.0 th-lift-0.7.10-75yK075TwMmJKviRYN52Tn
    transformers-0.5.5.0 unix-2.7.2.2
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    xml-types-0.3.6-FWN9dD9K4Pf2M2rvMuT5Tt
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             cereal-0.5.5.0-GXs0HkZKyWNA7Krg63fmZj=ee76325aa2f8c8394749fe66ba154623
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             filepath-1.4.2=a70b79acbde9ca897bdc5eadf9254ba7
             lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR=905a1b476a76c47c50afaa3dc0b6f349
             libxml-sax-0.7.5-GkUm3a8rMd5IxolLzHxtC3=a2ead095e3612a9797cf76acf2273fa1
             network-2.6.3.5-KclFamJR02kL7LGCwfGqog=50faab5fad16287a37cd02f1e51fcd1a
             parsec-3.1.13.0=b976f306e11b572c7d5898bcff511199
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6=552edb5fe3e96de6d9599ba4b8c78476
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             th-lift-0.7.10-75yK075TwMmJKviRYN52Tn=cb697b975b02d2f96e824a56df995d3d
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             unix-2.7.2.2=52cd75b8c492339f1bc16a6e08d9b9d7
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             xml-types-0.3.6-FWN9dD9K4Pf2M2rvMuT5Tt=75aadcb04a59f6109c1fa44fa557a7f3
haddock-interfaces: /usr/share/doc/haskell-dbus/html/dbus.haddock
haddock-html: /usr/share/doc/haskell-dbus/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

